
% Erlang: type dict() is a new builtin type; its (re)definition is allowed only until the next release
% dialyzer accepts the type definition (doesn't even give a warning), but interprets dict() in the spec as the builtin type

-module(extype17).

-export([ff/1]).

-type dict() :: alma.

-spec ff(dict()) -> ok.

ff(alma) -> ok.

